Bug 798482 - latest nss update causes qpidd segfault
latest nss update causes qpidd segfault
Status: CLOSED DUPLICATE of bug 797426
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.2
Unspecified Unspecified
urgent Severity unspecified
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
:
Depends On:
Blocks: 798647
  Show dependency treegraph
 
Reported: 2012-02-28 20:36 EST by James Slagle
Modified: 2012-03-07 20:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 798647 800682 (view as bug list)
Environment:
Last Closed: 2012-02-29 09:22:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt capture, including coredump (670.20 KB, application/x-gzip)
2012-02-28 20:45 EST, James Slagle
no flags Details

  None (edit)
Description James Slagle 2012-02-28 20:36:04 EST
RHUI (Red Hat Update Infrastructure) uses qpidd as its message bus.  We've been running fine on RHEL 6.2 with that for a while.  

However, the most recent nss update in 6.2 now causes qpidd to segfault.

Before the update:
[root@rhua202 ~]# rpm -q nss nss-tools nss-sysinit
nss-3.12.10-17.el6_2.x86_64
nss-tools-3.12.10-17.el6_2.x86_64
nss-sysinit-3.12.10-17.el6_2.x86_64
[root@rhua202 ~]# rpm -qa | grep qpid
python-qpid-0.12-1.el6.noarch
qpid-cpp-client-0.12-6.el6.x86_64
qpid-cpp-server-0.12-6.el6.x86_64
qpid-qmf-0.12-6.el6.x86_64
qpid-cpp-client-ssl-0.12-6.el6.x86_64
qpid-cpp-server-ssl-0.12-6.el6.x86_64
qpid-cpp-debuginfo-0.12-6.el6.x86_64
[root@rhua202 ~]# service qpidd restart
Stopping Qpid AMQP daemon:                                 [  OK  ]
Starting Qpid AMQP daemon:                                 [  OK  ]
[root@rhua202 ~]# tail -n 10 /var/log/messages
Feb 28 20:31:59 rhua202 qpidd[3429]: 2012-02-28 20:31:59 notice Shut down
Feb 28 20:31:59 rhua202 qpidd[3472]: 2012-02-28 20:31:59 notice SASL disabled: No Authentication Performed
Feb 28 20:31:59 rhua202 qpidd[3472]: 2012-02-28 20:31:59 notice Listening on TCP port 5672
Feb 28 20:31:59 rhua202 qpidd[3472]: 2012-02-28 20:31:59 notice Listening for SSL connections on TCP port 5674
Feb 28 20:31:59 rhua202 qpidd[3472]: 2012-02-28 20:31:59 notice Broker running
Feb 28 20:33:54 rhua202 qpidd[3472]: 2012-02-28 20:33:54 notice Shut down
Feb 28 20:33:54 rhua202 qpidd[3521]: 2012-02-28 20:33:54 notice SASL disabled: No Authentication Performed
Feb 28 20:33:54 rhua202 qpidd[3521]: 2012-02-28 20:33:54 notice Listening on TCP port 5672
Feb 28 20:33:54 rhua202 qpidd[3521]: 2012-02-28 20:33:54 notice Listening for SSL connections on TCP port 5674
Feb 28 20:33:54 rhua202 qpidd[3521]: 2012-02-28 20:33:54 notice Broker running

Update nss:
[root@rhua202 ~]# yum update nss
Loaded plugins: product-id, pulp-profile-update, rhui-lb, security,
              : subscription-manager
Updating certificate-based repositories.
rhel-6-server-beta-debug-rpms                            | 1.3 kB     00:00     
rhel-6-server-debug-rpms                                 | 2.9 kB     00:00     
rhel-6-server-optional-beta-debug-rpms                   | 1.3 kB     00:00     
rhel-6-server-optional-debug-rpms                        | 2.9 kB     00:00     
rhel-6-server-rpms                                       | 3.7 kB     00:00     
rhel-6-server-sam-beta-debug-rpms                        | 2.6 kB     00:00     
rhel-6-server-supplementary-beta-debuginfo               |  951 B     00:00     
rhel-6-server-supplementary-beta-src                     |  951 B     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package nss.x86_64 0:3.12.10-17.el6_2 will be updated
--> Processing Dependency: nss = 3.12.10-17.el6_2 for package: nss-tools-3.12.10-17.el6_2.x86_64
--> Processing Dependency: nss = 3.12.10-17.el6_2 for package: nss-sysinit-3.12.10-17.el6_2.x86_64
---> Package nss.x86_64 0:3.13.1-6.el6_2 will be an update
--> Running transaction check
---> Package nss-sysinit.x86_64 0:3.12.10-17.el6_2 will be updated
---> Package nss-sysinit.x86_64 0:3.13.1-6.el6_2 will be an update
---> Package nss-tools.x86_64 0:3.12.10-17.el6_2 will be updated
---> Package nss-tools.x86_64 0:3.13.1-6.el6_2 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch        Version             Repository               Size
================================================================================
Updating:
 nss              x86_64      3.13.1-6.el6_2      rhel-6-server-rpms      759 k
Updating for dependencies:
 nss-sysinit      x86_64      3.13.1-6.el6_2      rhel-6-server-rpms       30 k
 nss-tools        x86_64      3.13.1-6.el6_2      rhel-6-server-rpms      725 k

Transaction Summary
================================================================================
Upgrade       3 Package(s)

Total download size: 1.5 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): nss-3.13.1-6.el6_2.x86_64.rpm                     | 759 kB     00:00     
(2/3): nss-sysinit-3.13.1-6.el6_2.x86_64.rpm             |  30 kB     00:00     
(3/3): nss-tools-3.13.1-6.el6_2.x86_64.rpm               | 725 kB     00:00     
--------------------------------------------------------------------------------
Total                                           1.1 MB/s | 1.5 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : nss-3.13.1-6.el6_2.x86_64                                    1/6 
  Updating   : nss-sysinit-3.13.1-6.el6_2.x86_64                            2/6 
  Updating   : nss-tools-3.13.1-6.el6_2.x86_64                              3/6 
  Cleanup    : nss-tools-3.12.10-17.el6_2.x86_64                            4/6 
  Cleanup    : nss-3.12.10-17.el6_2.x86_64                                  5/6 
  Cleanup    : nss-sysinit-3.12.10-17.el6_2.x86_64                          6/6 
Installed products updated.
Consumer Id could not be found. Cannot update consumer profile.

Updated:
  nss.x86_64 0:3.13.1-6.el6_2                                                   

Dependency Updated:
  nss-sysinit.x86_64 0:3.13.1-6.el6_2     nss-tools.x86_64 0:3.13.1-6.el6_2    

Complete!

[root@rhua202 ~]# rpm -q nss nss-tools nss-sysinit
nss-3.13.1-6.el6_2.x86_64
nss-tools-3.13.1-6.el6_2.x86_64
nss-sysinit-3.13.1-6.el6_2.x86_64
[root@rhua202 ~]# service qpidd restart
Stopping Qpid AMQP daemon:                                 [  OK  ]
Starting Qpid AMQP daemon: bash: line 1:  3572 Segmentation fault      (core dumped) /usr/sbin/qpidd --data-dir /var/lib/qpidd --daemon
                                                           [FAILED]
[root@rhua202 ~]# tail -n 10 /var/log/messages
Feb 28 20:35:15 rhua202 yum[3551]: Updated: nss-sysinit-3.13.1-6.el6_2.x86_64
Feb 28 20:35:16 rhua202 yum[3551]: Updated: nss-tools-3.13.1-6.el6_2.x86_64
Feb 28 20:35:41 rhua202 qpidd[3521]: 2012-02-28 20:35:41 notice Shut down
Feb 28 20:35:41 rhua202 qpidd[3573]: 2012-02-28 20:35:41 notice SASL disabled: No Authentication Performed
Feb 28 20:35:41 rhua202 qpidd[3573]: 2012-02-28 20:35:41 notice Listening on TCP port 5672
Feb 28 20:35:41 rhua202 qpidd[3573]: 2012-02-28 20:35:41 notice Listening for SSL connections on TCP port 5674
Feb 28 20:35:41 rhua202 kernel: qpidd[3572]: segfault at 10 ip 0000003ddb8091c0 sp 00007fff53bfc848 error 4 in libpthread-2.12.so[3ddb800000+17000]
Feb 28 20:35:41 rhua202 qpidd[3573]: 2012-02-28 20:35:41 notice Broker running
Feb 28 20:35:41 rhua202 abrt[3575]: saved core dump of pid 3572 (/usr/sbin/qpidd) to /var/spool/abrt/ccpp-2012-02-28-20:35:41-3572.new/coredump (1351680 bytes)
Feb 28 20:35:41 rhua202 abrtd: Directory 'ccpp-2012-02-28-20:35:41-3572' creation detected
Comment 1 James Slagle 2012-02-28 20:37:26 EST
I'm attaching that abrtd capture.
Comment 2 James Slagle 2012-02-28 20:45:32 EST
Created attachment 566438 [details]
abrt capture, including coredump
Comment 5 wes hayutin 2012-02-28 21:00:27 EST
on a clean RHEL6.2 ami.. recreate

Took me a couple tries to find the right package... 


[whayutin@minidoe scripts]$ ssh -i ~/.ec2/WESHAYUTIN/wes-us-west-2.pem root@ec2-50-112-35-95.us-west-2.compute.amazonaws.com
The authenticity of host 'ec2-50-112-35-95.us-west-2.compute.amazonaws.com (50.112.35.95)' can't be established.
RSA key fingerprint is 57:f9:ff:ed:6c:ad:2b:d8:1a:db:e5:c6:46:15:18:01.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'ec2-50-112-35-95.us-west-2.compute.amazonaws.com,50.112.35.95' (RSA) to the list of known hosts.
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# yum update nss
Loaded plugins: amazon-id, rhui-lb, security
rhui-us-west-2-client-config-server-6                                                                                                               | 2.6 kB     00:00     
rhui-us-west-2-client-config-server-6/primary_db                                                                                                    | 1.2 kB     00:00     
rhui-us-west-2-rhel-server-releases                                                                                                                 | 3.7 kB     00:00     
rhui-us-west-2-rhel-server-releases/primary_db                                                                                                      |  11 MB     00:00     
rhui-us-west-2-rhel-server-releases-optional                                                                                                        | 3.5 kB     00:00     
rhui-us-west-2-rhel-server-releases-optional/primary_db                                                                                             | 1.8 MB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package nss.x86_64 0:3.12.10-17.el6_2 will be updated
--> Processing Dependency: nss = 3.12.10-17.el6_2 for package: nss-tools-3.12.10-17.el6_2.x86_64
--> Processing Dependency: nss = 3.12.10-17.el6_2 for package: nss-sysinit-3.12.10-17.el6_2.x86_64
---> Package nss.x86_64 0:3.13.1-6.el6_2 will be an update
--> Processing Dependency: nss-util >= 3.13.1 for package: nss-3.13.1-6.el6_2.x86_64
--> Processing Dependency: nspr >= 4.8.9 for package: nss-3.13.1-6.el6_2.x86_64
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.13)(64bit) for package: nss-3.13.1-6.el6_2.x86_64
--> Running transaction check
---> Package nspr.x86_64 0:4.8.8-3.el6 will be updated
---> Package nspr.x86_64 0:4.8.9-3.el6_2 will be an update
---> Package nss-sysinit.x86_64 0:3.12.10-17.el6_2 will be updated
---> Package nss-sysinit.x86_64 0:3.13.1-6.el6_2 will be an update
---> Package nss-tools.x86_64 0:3.12.10-17.el6_2 will be updated
---> Package nss-tools.x86_64 0:3.13.1-6.el6_2 will be an update
---> Package nss-util.x86_64 0:3.12.10-2.el6 will be updated
---> Package nss-util.x86_64 0:3.13.1-3.el6_2 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

===========================================================================================================================================================================
 Package                            Arch                          Version                                 Repository                                                  Size
===========================================================================================================================================================================
Updating:
 nss                                x86_64                        3.13.1-6.el6_2                          rhui-us-west-2-rhel-server-releases                        759 k
Updating for dependencies:
 nspr                               x86_64                        4.8.9-3.el6_2                           rhui-us-west-2-rhel-server-releases                        110 k
 nss-sysinit                        x86_64                        3.13.1-6.el6_2                          rhui-us-west-2-rhel-server-releases                         30 k
 nss-tools                          x86_64                        3.13.1-6.el6_2                          rhui-us-west-2-rhel-server-releases                        725 k
 nss-util                           x86_64                        3.13.1-3.el6_2                          rhui-us-west-2-rhel-server-releases                         52 k

Transaction Summary
===========================================================================================================================================================================
Upgrade       5 Package(s)

Total download size: 1.6 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): nspr-4.8.9-3.el6_2.x86_64.rpm                                                                                                                | 110 kB     00:00     
(2/5): nss-3.13.1-6.el6_2.x86_64.rpm                                                                                                                | 759 kB     00:00     
(3/5): nss-sysinit-3.13.1-6.el6_2.x86_64.rpm                                                                                                        |  30 kB     00:00     
(4/5): nss-tools-3.13.1-6.el6_2.x86_64.rpm                                                                                                          | 725 kB     00:00     
(5/5): nss-util-3.13.1-3.el6_2.x86_64.rpm                                                                                                           |  52 kB     00:00     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                      2.3 MB/s | 1.6 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Updating   : nspr-4.8.9-3.el6_2.x86_64                                                                                                                              1/10 
  Updating   : nss-util-3.13.1-3.el6_2.x86_64                                                                                                                         2/10 
  Updating   : nss-3.13.1-6.el6_2.x86_64                                                                                                                              3/10 
  Updating   : nss-sysinit-3.13.1-6.el6_2.x86_64                                                                                                                      4/10 
  Updating   : nss-tools-3.13.1-6.el6_2.x86_64                                                                                                                        5/10 
  Cleanup    : nss-tools-3.12.10-17.el6_2.x86_64                                                                                                                      6/10 
  Cleanup    : nss-3.12.10-17.el6_2.x86_64                                                                                                                            7/10 
  Cleanup    : nss-sysinit-3.12.10-17.el6_2.x86_64                                                                                                                    8/10 
  Cleanup    : nss-util-3.12.10-2.el6.x86_64                                                                                                                          9/10 
  Cleanup    : nspr-4.8.8-3.el6.x86_64                                                                                                                               10/10 

Updated:
  nss.x86_64 0:3.13.1-6.el6_2                                                                                                                                              

Dependency Updated:
  nspr.x86_64 0:4.8.9-3.el6_2          nss-sysinit.x86_64 0:3.13.1-6.el6_2          nss-tools.x86_64 0:3.13.1-6.el6_2          nss-util.x86_64 0:3.13.1-3.el6_2         

Complete!
[root@ip-10-252-79-68 ~]# 
[root@ip-10-252-79-68 ~]# 

[root@ip-10-252-79-68 ~]# yum install qpid-cpp-client.x86_64 qpid-qmf.x86_64 qmf
Loaded plugins: amazon-id, rhui-lb, security
Setting up Install Process
Package qmf is obsoleted by qpid-qmf, trying to install qpid-qmf-0.12-6.el6.x86_64 instead
Resolving Dependencies
--> Running transaction check
---> Package qpid-cpp-client.x86_64 0:0.12-6.el6 will be installed
--> Processing Dependency: boost for package: qpid-cpp-client-0.12-6.el6.x86_64
--> Processing Dependency: libboost_program_options.so.5()(64bit) for package: qpid-cpp-client-0.12-6.el6.x86_64
--> Processing Dependency: libboost_filesystem.so.5()(64bit) for package: qpid-cpp-client-0.12-6.el6.x86_64
---> Package qpid-qmf.x86_64 0:0.12-6.el6 will be installed
--> Running transaction check
---> Package boost.x86_64 0:1.41.0-11.el6_1.2 will be installed
--> Processing Dependency: boost-wave = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-thread = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-test = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-system = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-signals = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-serialization = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-regex = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-python = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-iostreams = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-graph = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
--> Processing Dependency: boost-date-time = 1.41.0-11.el6_1.2 for package: boost-1.41.0-11.el6_1.2.x86_64
---> Package boost-filesystem.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-program-options.x86_64 0:1.41.0-11.el6_1.2 will be installed
--> Running transaction check
---> Package boost-date-time.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-graph.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-iostreams.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-python.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-regex.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-serialization.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-signals.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-system.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-test.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-thread.x86_64 0:1.41.0-11.el6_1.2 will be installed
---> Package boost-wave.x86_64 0:1.41.0-11.el6_1.2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===========================================================================================================================================================================
 Package                                   Arch                       Version                                Repository                                               Size
===========================================================================================================================================================================
Installing:
 qpid-cpp-client                           x86_64                     0.12-6.el6                             rhui-us-west-2-rhel-server-releases                     981 k
 qpid-qmf                                  x86_64                     0.12-6.el6                             rhui-us-west-2-rhel-server-releases                     410 k
Installing for dependencies:
 boost                                     x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      17 k
 boost-date-time                           x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      38 k
 boost-filesystem                          x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      44 k
 boost-graph                               x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      80 k
 boost-iostreams                           x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      37 k
 boost-program-options                     x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                     105 k
 boost-python                              x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                     123 k
 boost-regex                               x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                     475 k
 boost-serialization                       x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                     166 k
 boost-signals                             x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      42 k
 boost-system                              x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      24 k
 boost-test                                x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                     389 k
 boost-thread                              x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                      41 k
 boost-wave                                x86_64                     1.41.0-11.el6_1.2                      rhui-us-west-2-rhel-server-releases                     200 k

Transaction Summary
===========================================================================================================================================================================
Install      16 Package(s)

Total download size: 3.1 M
Installed size: 3.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/16): boost-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                          |  17 kB     00:00     
(2/16): boost-date-time-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                |  38 kB     00:00     
(3/16): boost-filesystem-1.41.0-11.el6_1.2.x86_64.rpm                                                                                               |  44 kB     00:00     
(4/16): boost-graph-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                    |  80 kB     00:00     
(5/16): boost-iostreams-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                |  37 kB     00:00     
(6/16): boost-program-options-1.41.0-11.el6_1.2.x86_64.rpm                                                                                          | 105 kB     00:00     
(7/16): boost-python-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                   | 123 kB     00:00     
(8/16): boost-regex-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                    | 475 kB     00:00     
(9/16): boost-serialization-1.41.0-11.el6_1.2.x86_64.rpm                                                                                            | 166 kB     00:00     
(10/16): boost-signals-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                 |  42 kB     00:00     
(11/16): boost-system-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                  |  24 kB     00:00     
(12/16): boost-test-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                    | 389 kB     00:00     
(13/16): boost-thread-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                  |  41 kB     00:00     
(14/16): boost-wave-1.41.0-11.el6_1.2.x86_64.rpm                                                                                                    | 200 kB     00:00     
(15/16): qpid-cpp-client-0.12-6.el6.x86_64.rpm                                                                                                      | 981 kB     00:00     
(16/16): qpid-qmf-0.12-6.el6.x86_64.rpm                                                                                                             | 410 kB     00:00     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                      1.4 MB/s | 3.1 MB     00:02     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : boost-program-options-1.41.0-11.el6_1.2.x86_64                                                                                                         1/16 
  Installing : boost-system-1.41.0-11.el6_1.2.x86_64                                                                                                                  2/16 
  Installing : boost-filesystem-1.41.0-11.el6_1.2.x86_64                                                                                                              3/16 
  Installing : boost-date-time-1.41.0-11.el6_1.2.x86_64                                                                                                               4/16 
  Installing : boost-regex-1.41.0-11.el6_1.2.x86_64                                                                                                                   5/16 
  Installing : boost-thread-1.41.0-11.el6_1.2.x86_64                                                                                                                  6/16 
  Installing : boost-wave-1.41.0-11.el6_1.2.x86_64                                                                                                                    7/16 
  Installing : boost-graph-1.41.0-11.el6_1.2.x86_64                                                                                                                   8/16 
  Installing : boost-python-1.41.0-11.el6_1.2.x86_64                                                                                                                  9/16 
  Installing : boost-signals-1.41.0-11.el6_1.2.x86_64                                                                                                                10/16 
  Installing : boost-serialization-1.41.0-11.el6_1.2.x86_64                                                                                                          11/16 
  Installing : boost-test-1.41.0-11.el6_1.2.x86_64                                                                                                                   12/16 
  Installing : boost-iostreams-1.41.0-11.el6_1.2.x86_64                                                                                                              13/16 
  Installing : boost-1.41.0-11.el6_1.2.x86_64                                                                                                                        14/16 
  Installing : qpid-cpp-client-0.12-6.el6.x86_64                                                                                                                     15/16 
  Installing : qpid-qmf-0.12-6.el6.x86_64                                                                                                                            16/16 

Installed:
  qpid-cpp-client.x86_64 0:0.12-6.el6                                                     qpid-qmf.x86_64 0:0.12-6.el6                                                    

Dependency Installed:
  boost.x86_64 0:1.41.0-11.el6_1.2                     boost-date-time.x86_64 0:1.41.0-11.el6_1.2             boost-filesystem.x86_64 0:1.41.0-11.el6_1.2                 
  boost-graph.x86_64 0:1.41.0-11.el6_1.2               boost-iostreams.x86_64 0:1.41.0-11.el6_1.2             boost-program-options.x86_64 0:1.41.0-11.el6_1.2            
  boost-python.x86_64 0:1.41.0-11.el6_1.2              boost-regex.x86_64 0:1.41.0-11.el6_1.2                 boost-serialization.x86_64 0:1.41.0-11.el6_1.2              
  boost-signals.x86_64 0:1.41.0-11.el6_1.2             boost-system.x86_64 0:1.41.0-11.el6_1.2                boost-test.x86_64 0:1.41.0-11.el6_1.2                       
  boost-thread.x86_64 0:1.41.0-11.el6_1.2              boost-wave.x86_64 0:1.41.0-11.el6_1.2                 

Complete!

[root@ip-10-252-79-68 ~]# yum install qpid-cpp-server.x86_64 qpid-qmf.x86_64 qpid-cpp-server-ssl.x86_64
Loaded plugins: amazon-id, rhui-lb, security
Setting up Install Process
Package qpid-qmf-0.12-6.el6.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package qpid-cpp-server.x86_64 0:0.12-6.el6 will be installed
---> Package qpid-cpp-server-ssl.x86_64 0:0.12-6.el6 will be installed
--> Processing Dependency: qpid-cpp-client-ssl = 0.12-6.el6 for package: qpid-cpp-server-ssl-0.12-6.el6.x86_64
--> Processing Dependency: libsslcommon.so.5()(64bit) for package: qpid-cpp-server-ssl-0.12-6.el6.x86_64
--> Running transaction check
---> Package qpid-cpp-client-ssl.x86_64 0:0.12-6.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===========================================================================================================================================================================
 Package                                   Arch                         Version                            Repository                                                 Size
===========================================================================================================================================================================
Installing:
 qpid-cpp-server                           x86_64                       0.12-6.el6                         rhui-us-west-2-rhel-server-releases                       952 k
 qpid-cpp-server-ssl                       x86_64                       0.12-6.el6                         rhui-us-west-2-rhel-server-releases                        53 k
Installing for dependencies:
 qpid-cpp-client-ssl                       x86_64                       0.12-6.el6                         rhui-us-west-2-rhel-server-releases                       104 k

Transaction Summary
===========================================================================================================================================================================
Install       3 Package(s)

Total download size: 1.1 M
Installed size: 1.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): qpid-cpp-client-ssl-0.12-6.el6.x86_64.rpm                                                                                                    | 104 kB     00:00     
(2/3): qpid-cpp-server-0.12-6.el6.x86_64.rpm                                                                                                        | 952 kB     00:00     
(3/3): qpid-cpp-server-ssl-0.12-6.el6.x86_64.rpm                                                                                                    |  53 kB     00:00     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                      2.2 MB/s | 1.1 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : qpid-cpp-server-0.12-6.el6.x86_64                                                                                                                       1/3 
  Installing : qpid-cpp-client-ssl-0.12-6.el6.x86_64                                                                                                                   2/3 
  Installing : qpid-cpp-server-ssl-0.12-6.el6.x86_64                                                                                                                   3/3 

Installed:
  qpid-cpp-server.x86_64 0:0.12-6.el6                                                qpid-cpp-server-ssl.x86_64 0:0.12-6.el6                                               

Dependency Installed:
  qpid-cpp-client-ssl.x86_64 0:0.12-6.el6                                                                                                                                  

Complete!
[root@ip-10-252-79-68 ~]# /etc/init.d/q
qpidd      quota_nld  
[root@ip-10-252-79-68 ~]# /etc/init.d/qpidd restart
Stopping Qpid AMQP daemon:                                 [FAILED]
Starting Qpid AMQP daemon: bash: line 1:  1399 Segmentation fault      (core dumped) /usr/sbin/qpidd --data-dir /var/lib/qpidd --daemon
                                                           [FAILED]



[root@ip-10-252-79-68 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.2 (Santiago)
[root@ip-10-252-79-68 ~]# rpm -qa |grep release
redhat-release-server-6Server-6.2.0.3.el6.x86_64
[root@ip-10-252-79-68 ~]# rpm -qa | grep nsss
[root@ip-10-252-79-68 ~]# rpm -qa | grep nss
openssh-server-5.3p1-70.el6.x86_64
openssh-5.3p1-70.el6.x86_64
nss-3.13.1-6.el6_2.x86_64
nss_compat_ossl-0.9.6-1.el6.x86_64
nss-softokn-3.12.9-11.el6.x86_64
openssl-1.0.0-20.el6.x86_64
openssh-clients-5.3p1-70.el6.x86_64
nss_db-2.2.3-0.3.pre1.el6_1.1.x86_64
nss-util-3.13.1-3.el6_2.x86_64
nss-sysinit-3.13.1-6.el6_2.x86_64
nss-softokn-freebl-3.12.9-11.el6.x86_64
krb5-pkinit-openssl-1.9-22.el6_2.1.x86_64
python-nss-0.11-3.el6.x86_64
nss-tools-3.13.1-6.el6_2.x86_64
[root@ip-10-252-79-68 ~]# rpm -qa | grep qpid
qpid-cpp-client-ssl-0.12-6.el6.x86_64
qpid-cpp-client-0.12-6.el6.x86_64
qpid-cpp-server-0.12-6.el6.x86_64
qpid-cpp-server-ssl-0.12-6.el6.x86_64
qpid-qmf-0.12-6.el6.x86_64
Comment 7 James Slagle 2012-02-29 09:22:04 EST

*** This bug has been marked as a duplicate of bug 797426 ***

Note You need to log in before you can comment on or make changes to this bug.